Package org.jfree.layouting.renderer.process

## Class SimplePaginationStep

- java.lang.Object
- - org.jfree.layouting.renderer.process.IterateVisualProcessStep
  - - org.jfree.layouting.renderer.process.SimplePaginationStep

-     public class SimplePaginationStep
      extends IterateVisualProcessStep

  Computes the pagination for streaming outputs. The only real purpose of this class is to rearrange the tables so that the header-body-footer order is maintained. This step ignores the pageformat and does not check for pagebreaks or page overflows.

  Todo: This class needs some serious attention later.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimplePaginationStep​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `finishLine​(ParagraphPoolBox inlineRenderBox)` |
    `void` | `performPagebreak​(LogicalPageBox pageBox)` |
    `protected void` | `processBlockLevelChild​(RenderNode node)` |
    `protected void` | `processBlockLevelNode​(RenderNode node)` |
    `protected void` | `processParagraphChilds​(ParagraphRenderBox box)` |
    `protected void` | `processTable​(TableRenderBox table)` |
    `protected boolean` | `startBlockLevelBox​(RenderBox box)` |
    `protected boolean` | `startInlineLevelBox​(RenderBox box)` |
    `protected boolean` | `startLine​(ParagraphPoolBox box)` |

    - ### Methods inherited from class org.jfree.layouting.renderer.process.IterateVisualProcessStep

      `finishBlockLevelBox, finishInlineLevelBox, processBoxChilds, processFlow, processInlineLevelChild, processInlineLevelNode, processOtherLevelChild, startProcessing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimplePaginationStep

          public SimplePaginationStep​()

  - ### Method Detail

    - #### performPagebreak

          public void performPagebreak​(LogicalPageBox pageBox)

    - #### startInlineLevelBox

          protected boolean startInlineLevelBox​(RenderBox box)

      Overrides:
        `startInlineLevelBox` in class `IterateVisualProcessStep`

    - #### processParagraphChilds

          protected void processParagraphChilds​(ParagraphRenderBox box)

      Specified by:
        `processParagraphChilds` in class `IterateVisualProcessStep`

    - #### processBlockLevelNode

          protected void processBlockLevelNode​(RenderNode node)

      Overrides:
        `processBlockLevelNode` in class `IterateVisualProcessStep`

    - #### processTable

          protected void processTable​(TableRenderBox table)

    - #### processBlockLevelChild

          protected void processBlockLevelChild​(RenderNode node)

      Overrides:
        `processBlockLevelChild` in class `IterateVisualProcessStep`

    - #### startBlockLevelBox

          protected boolean startBlockLevelBox​(RenderBox box)

      Overrides:
        `startBlockLevelBox` in class `IterateVisualProcessStep`

    - #### startLine

          protected boolean startLine​(ParagraphPoolBox box)

    - #### finishLine

          protected void finishLine​(ParagraphPoolBox inlineRenderBox)